Update a specific on call shadow configuration by id
curl --request PUT \
--url https://api.rootly.com/v1/on_call_shadows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "on_call_shadows",
"attributes": {
"schedule_id": "<string>",
"shadowable_type": "User",
"shadowable_id": "<string>",
"shadow_user_id": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
}
}
}
'{
"data": {
"id": "<string>",
"type": "on_call_shadows",
"attributes": {
"schedule_id": "<string>",
"shadowable_type": "User",
"shadowable_id": "<string>",
"shadow_user_id": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
on call shadows configuration is is updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/on_call_shadows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "on_call_shadows",
"attributes": {
"schedule_id": "<string>",
"shadowable_type": "User",
"shadowable_id": "<string>",
"shadow_user_id": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
}
}
}
'{
"data": {
"id": "<string>",
"type": "on_call_shadows",
"attributes": {
"schedule_id": "<string>",
"shadowable_type": "User",
"shadowable_id": "<string>",
"shadow_user_id": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}